ERROR Abnormal program exit

I am using wandb version 0.13.5 on python 3.6.9 (Linux kernel version: 4.14.281-212.502.amzn2.x86_64). I have a problem running wandb.init() with the following error.

Traceback (most recent call last):
File “/usr/local/lib/python3.6/dist-packages/wandb/sdk/wandb_init.py”, line 1075, in init
wi.setup(kwargs)
File “/usr/local/lib/python3.6/dist-packages/wandb/sdk/wandb_init.py”, line 165, in setup
self._wl = wandb_setup.setup()
File “/usr/local/lib/python3.6/dist-packages/wandb/sdk/wandb_setup.py”, line 312, in setup
ret = _setup(settings=settings)
File “/usr/local/lib/python3.6/dist-packages/wandb/sdk/wandb_setup.py”, line 307, in _setup
wl = _WandbSetup(settings=settings)
File “/usr/local/lib/python3.6/dist-packages/wandb/sdk/wandb_setup.py”, line 293, in init
_WandbSetup._instance = _WandbSetup__WandbSetup(settings=settings, pid=pid)
File “/usr/local/lib/python3.6/dist-packages/wandb/sdk/wandb_setup.py”, line 106, in init
self._setup()
File “/usr/local/lib/python3.6/dist-packages/wandb/sdk/wandb_setup.py”, line 234, in _setup
self._setup_manager()
File “/usr/local/lib/python3.6/dist-packages/wandb/sdk/wandb_setup.py”, line 266, in _setup_manager
_use_grpc=use_grpc, settings=self._settings
File “/usr/local/lib/python3.6/dist-packages/wandb/sdk/wandb_manager.py”, line 108, in init
self._service.start()
File “/usr/local/lib/python3.6/dist-packages/wandb/sdk/service/service.py”, line 112, in start
self._launch_server()
File “/usr/local/lib/python3.6/dist-packages/wandb/sdk/service/service.py”, line 108, in _launch_server
assert ports_found
AssertionError
wandb: ERROR Abnormal program exit
proc exited with 1


AssertionError Traceback (most recent call last)
/usr/local/lib/python3.6/dist-packages/wandb/sdk/wandb_init.py in init(job_type, dir, config, project, entity, reinit, tags, group, name, notes, magic, config_exclude_keys, config_include_keys, anonymous, mode, allow_val_change, resume, force, tensorboard, sync_tensorboard, monitor_gym, save_code, id, settings)
1074 wi = _WandbInit()
→ 1075 wi.setup(kwargs)
1076 except_exit = wi.settings._except_exit

/usr/local/lib/python3.6/dist-packages/wandb/sdk/wandb_init.py in setup(self, kwargs)
164
→ 165 self._wl = wandb_setup.setup()
166 # Make sure we have a logger setup (might be an early logger)

/usr/local/lib/python3.6/dist-packages/wandb/sdk/wandb_setup.py in setup(settings)
311 def setup(settings=None) → Optional[“_WandbSetup”]:
→ 312 ret = _setup(settings=settings)
313 return ret

/usr/local/lib/python3.6/dist-packages/wandb/sdk/wandb_setup.py in _setup(settings, _reset)
306 return
→ 307 wl = _WandbSetup(settings=settings)
308 return wl

/usr/local/lib/python3.6/dist-packages/wandb/sdk/wandb_setup.py in init(self, settings)
292 return
→ 293 _WandbSetup._instance = _WandbSetup__WandbSetup(settings=settings, pid=pid)
294

/usr/local/lib/python3.6/dist-packages/wandb/sdk/wandb_setup.py in init(self, pid, settings, environ)
105 self._check()
→ 106 self._setup()
107

/usr/local/lib/python3.6/dist-packages/wandb/sdk/wandb_setup.py in _setup(self)
233 def _setup(self):
→ 234 self._setup_manager()
235

/usr/local/lib/python3.6/dist-packages/wandb/sdk/wandb_setup.py in _setup_manager(self)
265 self._manager = wandb_manager._Manager(
→ 266 _use_grpc=use_grpc, settings=self._settings
267 )

/usr/local/lib/python3.6/dist-packages/wandb/sdk/wandb_manager.py in init(self, settings, _use_grpc)
107 if not token:
→ 108 self._service.start()
109 host = “localhost”

/usr/local/lib/python3.6/dist-packages/wandb/sdk/service/service.py in start(self)
111 def start(self) → None:
→ 112 self._launch_server()
113

/usr/local/lib/python3.6/dist-packages/wandb/sdk/service/service.py in _launch_server(self)
107 ports_found = self._wait_for_ports(fname, proc=internal_proc)
→ 108 assert ports_found
109 self._internal_proc = internal_proc

AssertionError:

The above exception was the direct cause of the following exception:

Exception Traceback (most recent call last)
in
1 import wandb
----> 2 wandb.init()

/usr/local/lib/python3.6/dist-packages/wandb/sdk/wandb_init.py in init(job_type, dir, config, project, entity, reinit, tags, group, name, notes, magic, config_exclude_keys, config_include_keys, anonymous, mode, allow_val_change, resume, force, tensorboard, sync_tensorboard, monitor_gym, save_code, id, settings)
1114 if except_exit:
1115 os._exit(-1)
→ 1116 raise Exception(“problem”) from error_seen
1117 return run

Exception: problem

I tried downgrading the wandb version to 0.9.7 but the problem still the same. Could you please help me solve this error?

Hi Raveerat,

Thanks for writing in and sorry that you are experiencing this! Could you try running wandb login --relogin and introducing you API key? Also, is this happening in colab and Jupiter notebook too?

Best,
Luis

Hi Raveerat,

We wanted to follow up with you regarding your support request as we have not heard back from you. Please let us know if we can be of further assistance or if your issue has been resolved.

Best,
Luis